summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-06-19 16:27:06 -0400
committerJesse Luehrs <doy@tozt.net>2021-06-19 16:27:06 -0400
commit68edcb18e51db18aa7de0bbf500f0e6c252dd1b3 (patch)
treee4e76afe7544847f1dee21099dd9bcf84b06cb9e
parentc57a875d7d3fb4ab771f27984daaca8077fa2be5 (diff)
downloadconf-68edcb18e51db18aa7de0bbf500f0e6c252dd1b3.tar.gz
conf-68edcb18e51db18aa7de0bbf500f0e6c252dd1b3.zip
add a container for running smt
-rwxr-xr-xbin/smt5
-rw-r--r--docker/smt4
2 files changed, 9 insertions, 0 deletions
diff --git a/bin/smt b/bin/smt
new file mode 100755
index 0000000..d7ac305
--- /dev/null
+++ b/bin/smt
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -eu
+
+podman images | grep -q localhost/smt || podman build -t smt -f ~/conf/docker/smt
+podman run --rm smt smt "$@"
diff --git a/docker/smt b/docker/smt
new file mode 100644
index 0000000..a7a45ee
--- /dev/null
+++ b/docker/smt
@@ -0,0 +1,4 @@
+FROM docker.io/debian:stable
+
+RUN apt-get update && apt-get install -y cpanminus make
+RUN cpanm Games::SMTNocturne::Demons